# MeshEdge(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``MeshEdge`(bpy_struct)

  Edge in a Mesh data-block

  `bevel_weight`

    Weight used by the Bevel modifier

    Type: | float in [-inf, inf], default 0.0

  `crease`

    Weight used by the Subdivision Surface modifier for creasing

    Type: | float in [0, 1], default 0.0

  `hide`

    Type: | boolean, default False

  `index`

    Index of this edge

    Type: | int in [0, inf], default 0, (readonly)

  `is_loose`

    Loose edge

    Type: | boolean, default False

  `select`

    Type: | boolean, default False

  `use_edge_sharp`

    Sharp edge for the Edge Split modifier

    Type: | boolean, default False

  `use_freestyle_mark`

    Edge mark for Freestyle line rendering

    Type: | boolean, default False

  `use_seam`

    Seam edge for UV unwrapping

    Type: | boolean, default False

  `vertices`

    Vertex indices

    Type: | int array of 2 items in [0, inf], default (0, 0)

  `key`

    (readonly)

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Mesh.edges` |